package v2template_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type V2TemplateDownloadRequest struct {
	// <ext>core:true;format:string</ext> 【模板id】模板id 【作用】 可通过2种方式获取： 1、在电子签章平台找到模板并复制模板ID 2、通过如下接口路径可获取模板ID 1）<docs>/v2/template/group</docs> 2）<docs>/template/list</docs>
	TemplateId *int64                  `json:"templateId"`
	Operator   *common.UserInfoRequest `json:"operator,omitempty"`
}

func (obj V2TemplateDownloadRequest) GetUrl() string {
	return "/v2/template/download"
}

func (obj V2TemplateDownloadRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
